%global gem_name rspec-pending_for

Name:           rubygem-%{gem_name}
Version: 0.1.13
Release: 1%{?dist}.1
Summary:        Mark specs pending or skipped for specific Ruby engine

License:        MIT
URL:            https://github.com/pboling/rspec-pending_for
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
# git clone https://github.com/pboling/rspec-pending_for --no-checkout
# cd rspec-pending_for && git archive -v -o rubygem-rspec-pending_for-0.1.13-specs.txz v0.1.13 spec/
Source1:        %{name}-%{version}-specs.txz

BuildArch:      noarch
BuildRequires:  ruby(release)
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(rspec)
BuildRequires:  rubygem(ruby_version)
BuildRequires:  rubygem(ruby_engine)
BuildRequires:  %{_bindir}/rspec

%description
Mark specs pending or skipped for specific Ruby engine (e.g. MRI or JRuby) /
version combinations.


%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
%if 0%{?rhel} <= 7
gem unpack %{SOURCE0}
gem specification %{SOURCE0} -l --ruby > %{gem_name}-%{version}.gemspec
%endif
%setup -q -D -n %{gem_name}-%{version} -b1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
ln -s %{_builddir}/spec .

# We don't want to load bundler
sed -i -e '/^\s*require..bundler./ s/^/#/g' spec/spec_helper.rb

rspec -Ilib spec
popd


%files
%license %{gem_instdir}/LICENSE
%dir %{gem_instdir}/
%{gem_libdir}/
%{gem_spec}
%exclude %{gem_instdir}/bin/
%exclude %{gem_instdir}/.*
%exclude %{gem_instdir}/gemfiles
%exclude %{gem_instdir}/rspec-pending_for.gemspec
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}/
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Appraisals
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile


%changelog
* Thu Apr 23 2020 Pavel Valena <pvalena@redhat.com> - 0.1.13-1
- Update to rspec-pending_for 0.1.13.

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 František Dvořák <valtri@civ.zcu.cz> - 0.1.9-1
- Update to 0.1.9 (#1537093)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 03 2017 František Dvořák <valtri@civ.zcu.cz> - 0.1.5-1
- Initial package
